<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
    {% include 'en/navbar.html' %}
    <div class="container">
        <div class="row">
            <div class="col">
 		<h4> Predict  <strong>{{target}} </strong> for a new sample. Fill the values below and press submit</strong> </h4>
                 {#<form name='predict_form' action="{{url_for('obtain_prediction')}}" method='POST' id="predForm">#}
                 <form name='predict_form' action="javascript:void(0);" method='POST' id="predForm">
                 <input type="hidden" name="id" value="{{id}}">
                 <input type="hidden" name="model_id" value="{{model_id}}">
                 <input type="hidden" name="feat_list" value="{% for fl in feat_list %}{{fl|safe}},{%endfor%}">
		{% for i in selects %}
			<label for="{{i.name}}">{{ i.label | safe }}: </label>
			<select class="form-control" id="{{i.name}}" name="{{i.name}}">
			    {% for k,v in i.options.items()  %}
			      <option value="{{k}}" id="{{k}}">{{v}}</option>
			    {% endfor %}
			</select>   
		{% endfor %}
<br>
		{% for i in numbers %}
		  <label for"{{i.name}}">{{i.label}}:</label>
		   <input class="form-control" type="number" step="any" id="{{i.name}}" name="{{i.name}}" min="0"></input>
		{% endfor %}
		{% for i in lists %}
		  <label for"{{i.name}}">{{i.label}}:</label>
		   <input class="form-control" type="text" id="{{i.name}}" name="{{i.name}}"></input>
		{% endfor %}
		<br>
		<button  class="btn btn-primary mb-3" id="predButton">Send sample</button>
		</form>
<P id="predResult">
</P> 

            </div>
        </div>  
    </div>
<script>
function showPrediction(d) {
	console.log(d);
	var p=document.getElementById('predResult');
	p.innerHTML=d;
}
function sendForm() {
	console.log("Creating request");
	let f=document.getElementById("predForm");
	let fd=new FormData(f);
	var request = new XMLHttpRequest();
	request.onreadystatechange = function () {
		// In local files, status is 0 upon success in Mozilla Firefox
		if(request.readyState === XMLHttpRequest.DONE) {
			var status = request.status;
			if (status === 0 || (status >= 200 && status < 400)) {
				// The request has been completed successfully
				showPrediction(request.response);
			} else {
				// Oh no! There has been an error with the request!
				console.log("Error in request");
			}
		}
	};
	request.responseType='text'
		request.open("POST", "{{url_for('obtain_prediction')}}");
	request.send(new FormData(f));
}

//console.log("Entra");
var b=document.getElementById("predButton");
var f=document.getElementById("predForm");
b.onclick=sendForm;
</script>
{% endblock %}

